org.apache.datasketches.pig.frequencies

## Class DataToFrequentStringsSketch

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.frequencies.DataToFrequentItemsSketch<String>
    - - org.apache.datasketches.pig.frequencies.DataToFrequentStringsSketch

All Implemented Interfaces:
  org.apache.pig.Accumulator<org.apache.pig.data.Tuple>, org.apache.pig.Algebraic

    public class DataToFrequentStringsSketch
    extends DataToFrequentItemsSketch<String>
    implements org.apache.pig.Algebraic

This UDF creates a FrequentItemsSketch<String> from raw data. It supports all three ways: exec(), Accumulator and Algebraic.

### Nested Class Summary

Nested Classes
`static class` `DataToFrequentStringsSketch.Initial`
`static class` `DataToFrequentStringsSketch.IntermediateFinal`

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`DataToFrequentStringsSketch(String sketchSize)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFinal()`
`String` `getInitial()`
`String` `getIntermed()`

### Methods inherited from class org.apache.datasketches.pig.frequencies.DataToFrequentItemsSketch

`accumulate, cleanup, exec, getValue`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToFrequentStringsSketch

    public DataToFrequentStringsSketch(String sketchSize)

Constructor

Parameters:
  `sketchSize` - String representation of sketch size

### Method Detail

#### getInitial

    public String getInitial()

Specified by:
  `getInitial` in interface `org.apache.pig.Algebraic`

#### getIntermed

    public String getIntermed()

Specified by:
  `getIntermed` in interface `org.apache.pig.Algebraic`

#### getFinal

    public String getFinal()

Specified by:
  `getFinal` in interface `org.apache.pig.Algebraic`